package com.redxun.search.service;

import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 文件名: SearchService
 * 作者: Zizg
 * 时间: 2022/12/13
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
public interface SearchService {


    /**
     * 查询接口
     * @param keyword
     * @param pageIndex
     * @param pageSize
     * @param range
     * @param secretType
     * @param httpServletRequest
     * @return
     */
    Map<String,Object> search(String keyword, Integer pageIndex, Integer pageSize,
                             Integer range, Integer secretType, HttpServletRequest httpServletRequest);


    /**
     * 文件通知
     * @param documentId
     * @param documentName
     * @param documentPath
     * @param documentUrl
     * @param documentMd5
     * @param uploaderId
     * @param uploader
     * @param remark
     * @param needText
     * @return
     */
    Map<String,Object> notice(String pkId,String documentId,String documentName,String documentPath,String documentUrl,
                  String documentMd5,String uploaderId,String uploader,String remark,Integer needText);
}
